function public function ProviderBase::getVersions

8.x-3.x ProviderBase.php public ProviderBase::getVersions()

Retrieves the versions supported by the CDN Provider.

Return value

array An array of versions. If the CDN Provider does not support any it will just be an empty array.

Overrides ProviderInterface::getVersions

Deprecated

in 8.x-3.18, will be removed in a future release.

Class

ProviderBase
CDN Provider base class.

Namespace

Drupal\bootstrap\Plugin\Provider

Source src/Plugin/Provider/ProviderBase.php (line 487)

public function getVersions() {
  return $this->pluginDefinition['versions'];
}